<%@
	taglib prefix="fmt" uri="http://java.sun.com/jstl/fmt" %><%@
	page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %><%@
	page import="com.ubnt.data.Admin"
%><%
Admin admin = (Admin) session.getAttribute("admin");
boolean showOperatorTab = (admin!=null && !admin.is("for_hotspot", false));

if (request.getParameter("lang") != null) {
  session.setAttribute("javax.servlet.jsp.jstl.fmt.locale.session", request.getParameter("lang"));
}
//session.setAttribute("javax.servlet.jsp.jstl.fmt.locale.session", "zh_TW");
%><fmt:bundle basename="messages"><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en" dir="ltr">
	<head>
		<title>Hotspot Manager - UniFi</title>
		<jsp:include page="head_include.jsp">
			<jsp:param name="page" value="hotspot" />
		</jsp:include>
	</head>
	<body>
	<div id="model-guests" style="display:none"></div>
	<div id="model-payments" style="display:none"></div>
	<div id="model-vouchers" style="display:none"></div>
	<div id="model-operators" style="display:none"></div>
	<div id="model-timefilters" style="display:none"></div>
	
	<jsp:include page="includes/dialogs/system-dialog.jsp" />

<div id="PageContent">
<!-- Start: Header -->
<div id="PageHeader">
	<h1 id="Logo">UniFi</h1>

	<ul id="AdminControls">
		<li><fmt:message key="MN_Welcome" /> <%=admin.getString("name", "admin")%></li>
		<li><a href="/logout"><fmt:message key="MN_Logout" /></a></li>
	</ul>

	<div id="QuickInfoPanel">
	</div>

	<div id="RefreshControl">
		<form>
		<fieldset>
			<label><a href="javascript:void(0);" id="RefreshLink"><fmt:message key="MN_Refresh" /></a></label>
			<select id="RefreshSelect">
				<option value="0"><fmt:message key="MN_RefreshManually" /></option>
				<option value="5"><fmt:message key="MN_Refresh5s" /></option>
				<option value="15"><fmt:message key="MN_Refresh15s" /></option>
				<option value="30"><fmt:message key="MN_Refresh30s" /></option>
				<option value="60"><fmt:message key="MN_Refresh1m" /></option>
				<option value="120"><fmt:message key="MN_Refresh2m" /></option>
				<option value="300"><fmt:message key="MN_Refresh5m" /></option>
			</select>
			</fieldset>
		</form>
	</div>
</div>
<!-- End: Header -->

<!-- Start: Body -->
<div id="MainPanel">
	<ul class="navigation-tabs">
		<li><a href="#Guests" id="GuestsTab"><fmt:message key="HS_Guests" /></a></li>
		<li><a href="#Payments" id="PaymentsTab"><fmt:message key="HS_Payments" /></a></li>
		<li><a href="#Vouchers" id="VouchersTab"><fmt:message key="HS_Vouchers" /></a></li>
		<% if (showOperatorTab) { %>
		<li><a href="#Operators" id="OperatorsTab"><fmt:message key="HS_Accounts" /></a></li>
		<% } %>
	</ul>
	<div id="Guests" class="tab-wrapper-scrollable">
		<div class="tab-content">
		<h2><fmt:message key="HS_GuestsTabTitle" /></h2>
		
		<div class="controlBar ui-corner-all">
			<form>
				<fieldset>
					<ol>
						<li class="control by-time" style="float:right">
							<fmt:message key="HS_FilterWithin" />
							<select class="time-filter"></select>
						</li>
						<li class="control first">
							<label><fmt:message key="Search" /></label>
							<input id="GuestTableSearch" class="text search" type="text" />
						</li>
					</ol>
				</fieldset>
			</form>
		</div>
		<div id="GuestTableContainer-none" class="empty-message-container content ui-corner-all">
			<p><fmt:message key="HS_NoActiveGuest" /></p>
		</div>
		<div id="GuestTableContainer"></div>
		</div>
	</div>

	<div id="Vouchers" class="tab-wrapper-scrollable">
		<div class="tab-content">
		<h2><fmt:message key="HS_VouchersTabTitle" /></h2>
		
		<div class="controlBar ui-corner-all">
			<form>
				<fieldset>
					<ol>
						<li class="control right">
							<input type="button" value="<fmt:message key="HS_PrintAllUnused" />" name="printall" class="button" style="float:right" />
						</li>
						<li class="control first">
							<label><fmt:message key="Search" /></label>
							<input id="VoucherTableSearch" class="text search" type="text" />
						</li>
					</ol>
				</fieldset>
			</form>
		</div>
		<div id="VoucherTableContainer-none" class="empty-message-container content ui-corner-all">
			<p><fmt:message key="HS_NoActiveVoucher" /></p>
		</div>
		<div id="VoucherTableContainer"></div>
		<div class="controlBar bottom  ui-corner-all">
			<form class="create">
				<fieldset>
					<ol>
						<li class="right">
							<input type="button" value="<fmt:message key="HS_CreateVoucher" />" name="create" class="button" style="float:right" />
						</li>
						<li class="first">
							Create <input type="text" value="10" name="n" size="4" /> 
							<select name="quota">
								<option value="1">One-time </option>
								<option value="0">Multi-use</option>
							</select>
							vouchers for
							<select name="expire">
								<option value="480">8 hours</option>
								<option value="1440">24 hours</option>
								<option value="2880">2 days</option>
								<option value="4320">3 days</option>
								<option value="5760">4 days</option>
								<option value="10080">7 days</option>
								<option value="custom">User-defined</option>
							</select>
							<span class="customExpire">
								<input name="expireNumber" value="1" type="text" class="text-input" size="4" />
								<select name="expireUnit">
									<option value="1">minute</option>
									<option value="60">hour</option>
									<option value="1440" selected="selected">day</option>
								</select>
							</span>
							<span>
								<input type="checkbox" class="check-box-input" name="doNote" />
								<span class="label">Add Notes</span>
								<span class="doNote" style="display:none">
									<input name="note" value="" type="text" class="text-input" size="40" />								
								</span>
							</span>
						</li>
					</ol>
				</fieldset>
			</form>
		</div>
		</div>
	</div>
	
	<div id="Payments" class="tab-wrapper-scrollable">
		<div class="tab-content">
		<h2><fmt:message key="HS_PaymentTabTitle" /></h2>
		
		<div class="controlBar ui-corner-all">
			<form>
				<fieldset>
					<ol>
						<li class="control by-time" style="float:right">
							<fmt:message key="HS_FilterWithin" /> 
							<select class="time-filter"></select>
						</li>
						<li class="control first">
							<label><fmt:message key="Search" /></label>
							<input id="PaymentTableSearch" class="text search" type="text" />
						</li>
					</ol>
				</fieldset>
			</form>
		</div>
		<div id="PaymentTableContainer-none" class="empty-message-container content ui-corner-all">
			<p><fmt:message key="HS_NoPayments" /></p>
		</div>
		<div id="PaymentTableContainer"></div>
		</div>
	</div>
	<% if (showOperatorTab) { %>
	<div id="Operators" class="tab-wrapper-scrollable">
		<div class="tab-content">
		<h2><fmt:message key="HS_AccountsTabTitle" /></h2>
		
		<div class="controlBar ui-corner-all">
			<form>
				<fieldset>
					<ol>
						<li class="control first">
							<label><fmt:message key="Search" /></label>
							<input id="OperatorTableSearch" class="text search" type="text" />
						</li>
					</ol>
				</fieldset>
			</form>
		</div>
		<div id="OperatorTableContainer-none" class="empty-message-container content ui-corner-all">
			<p><fmt:message key="HS_NoAccounts" /></p>
		</div>
		<div id="OperatorTableContainer"></div>
		<div class="controlBar bottom  ui-corner-all">
			<form class="create">
				<fieldset>
					<ol>
						<li class="control right">
							<input type="submit" value="<fmt:message key="HS_CreateAccount" />" name="create" class="button" style="float:right" />
						</li>
						<li class="control first">
							Account <input type="text" value="" name="name" size="15" />
						</li>
						<li class="control">
							Password <input type="text" value="" name="password" size="15" />
						</li>
						<li class="control">
							Note <input type="text" value="" name="note" size="30" />
						</li>
					</ol>
				</fieldset>
			</form>
		</div>
		</div>
	</div>
	<% } %>
</div>
<!-- End: Body -->

	</body>
</html>
</fmt:bundle>
