<div class="dialog-header">
  <a href="javascript:void(0);" class="dialog-hide-button"><span>hide</span></a>
  
  <h2 class="sta-name"></h2>
</div>

<ul class="dialog-tabs">
	<li class="details-tab"><a href="#details-tab-content">Details</a></li>
  <li class="statistics-tab"><a href="#statistics-tab-content">Statistics</a></li>
  <li class="history-tab"><a href="#history-tab-content">History</a></li>
  <li class="config-tab"><a href="#config-tab-content">Configuration</a></li>
</ul>

<div class="details-tab-content tab-content ui-corner-bottom">
  <h3>Overview</h3>
  <div class="ap-overview-content content">
    <dl>
      <dt class="mac-address">MAC Address</dt>
      <dd class="mac-address"></dd>
      <dt class="hostname">Hostname</dt>
      <dd class="hostname"></dd>
		</dl>
    <dl>
      <dt class="ip-address">IP Address</dt>
      <dd class="ip-address"></dd>
      <dt class="uptime">Uptime</dt>
      <dd class="uptime"></dd>
      <dt class="connected-ap">Connected AP</dt>
      <dd class="connected-ap"></dd>
      <dt class="last-seen">Last Seen</dt>
      <dd class="last-seen"></dd>
		</dl>
  </div>
</div>

<div class="statistics-tab-content tab-content ui-corner-bottom">
  <h3>Statistics</h3>
  <div class="content">
    <dl>
      <dt class="essid">ESSID</dt>
      <dd class="essid"></dd>
      <dt class="connected-ap">Connected AP</dt>
      <dd class="connected-ap"></dd>
    </dl>
    <dl>
      <dt class="channel">Channel</dt>
      <dd class="channel"></dd>
      <dt class="signal">Signal</dt>
      <dd class="signal"></dd>
      <dt class="tx-rate">TX Rate</dt>
      <dd class="tx-rate"></dd>
      <dt class="rx-rate">RX Rate</dt>
      <dd class="rx-rate"></dd>
      <dt class="bytes-rate">Activity</dt>
      <dd class="bytes-rate"></dd>
			<dt class="powersave">Power Save</dt>
			<dd class="powersave"></dd>
		</dl>
		<dl>
      <dt class="received">Received Pkts / Bytes</dt>
      <dd class="received"></dd>
      <dt class="sent">Sent Pkts / Bytes</dt>
      <dd class="sent"></dd>
    </dl>
  </div>
</div>

<div class="history-tab-content tab-content ui-corner-bottom">
	<h3>Recent Connections</h3>
	<div class="history-content content">
		<div class="history-data-table-empty empty-message-container content ui-corner-all">
			<p>No prior connections</p>
		</div>
		<div class="history-data-table">
		</div>
	</div>
</div>

<div class="config-tab-content tab-content ui-corner-bottom">
	<h3>Config</h3>
  <div class="content">
	<p class="ui-corner-all settings-response">Settings Saved</p>
    <form action="/">
      <fieldset class="ui-corner-all">
        <legend>General Settings</legend>
        <label>Alias</label>
        <p>
          <input type="text" name="alias" class="text" />
        </p>
        <label>Note</label>
        <p>
          <textarea name="note" class="textarea"></textarea>
        </p>
        <label>Usergroups</label>
        <p>
          <select class="usergroups" id="usergroups" name="sta-usergroups">
          </select>
        </p>
      </fieldset>
      <input name="apply" class="button ui-corner-all" type="submit" value="apply" />
    </form>
  </div>
  <h3>Debug</h3>
  <div class="content">
    <form action="/">
      <p>To help troubleshooting wireless connection, you can force this device to connect to a specified AP</p>
      <fieldset class="ui-corner-all">
        <legend>Fixed Connection</legend>
        <label>Access Point</label>
        <select class="fixedAp">
          
        </select>
      </fieldset>
      <dl>
        <dt class="oui">Device Type</dt>
        <dd class="oui"></dd>
      </dl>
    </form>
  </div>
</div>

<div class="dialog-controls">
  <a href="javascript:void(0);" class="button ui-corner-all block-button">block</a>
  <a href="javascript:void(0);" class="button ui-corner-all reconnect-button">reconnect</a>
  <a href="javascript:void(0);" class="button ui-corner-all unauthorize-button">unauthorize</a>
</div>
