<ul class="bread-crumbs">
	<li><a href="javascript:void(0);" title="Settings">Settings</a></li>
	<li><a href="javascript:void(0);" title="System">System</a></li>
</ul>

<form id="SystemForm" class="settings-form">
	<fieldset class="settings-fieldset">
		<legend>System Configuration</legend>
	
		<label>System Name</label>
		<p>
			<input name="systemName" type="text" class="text-input" size="25" />
		</p>

    <label style="display:none">Management URL</label>
		<p style="display:none">
      <input name="useFixedURL" value="false" type="radio" class="radio-input" />
      <span class="label">Use default management URL  (Current: <span class="current-management-url"></span>) </span><br />
      <input name="useFixedURL" value="true" type="radio" class="radio-input" />
      <span class="label">Use fixed management URL (http://<input name="fixedURLHost" type="text" />:<input name="fixedURLPort" type="text" size="4"/> /inform)</span>
    </p>

		<label>Country</label>
		<p>
			<select name="countryCode">
			</select>
		</p>
	</fieldset>

  <fieldset class="settings-fieldset">
	<legend>Services</legend>

    <label>Automatic Upgrade</label>
    <p>
      <input name="enableAutoUpgrade" type="checkbox" class="check-box-input" />
			<span class="label">Automatically upgrade firmware</span>
    </p>

    <label>LED</label>
    <p>
      <input name="enableLED" type="checkbox" class="check-box-input" />
			<span class="label">Enable status LED</span>
    </p>

    <label>Background scanning</label>
    <p>
      <input name="enableBackgroundScanning" type="checkbox" class="check-box-input" />
			<span class="label">Enable background scanning</span>
			<input type="button" name="scanNow" value="Scan Now" class="button" />
    </p>
		
    <label>Load Balancing</label>
    <p>
      <input name="enableLoadBalance" type="checkbox" class="check-box-input" />
			<span class="label">Balance number of stations per radio:</span>
			<input name="maxSta" type="text" size="4" />
    </p>

    <label>Network Discovery</label>
    <p>
      <input name="enableServerDiscoverable" type="checkbox" class="check-box-input" />
			<span class="label">Make UniFi discoverable via UPnP</span>
    </p>

    <label>Uplink Connectivity Monitor</label>
    <p>
      <input name="enableConnectivityMonitor" type="checkbox" class="check-box-input" />
			<span class="label">Enable connectivity monitor and wireless uplink</span>
    </p>
    <label class="uplink-type"></label>
    <p class="uplink-type">
	  <input name="uplinkType" value="gateway" type="radio" class="radio-input" />
	  <span class="label">Use default gateway</span>
	  <input name="uplinkType" value="custom" type="radio" class="radio-input" />
	  <span class="label">Use custom IP</span>
    </p>

    <label class="custom-uplink-host"></label>
    <p class="custom-uplink-host">Uplink IP address: 
	  <input name="uplink_host" type="text" />
    </p>

	

    <label>Remote Logging</label>
    <p>
      <input name="enableRemoteSyslog" type="checkbox" class="check-box-input" />
			<span class="label">Enable remote syslog server</span>
			<input name="syslogHost" type="text" /> Port <input name="syslogPort" type="text" size="4" />
    </p>
	</fieldset>
	<fieldset class="settings-fieldset">
		<legend>Mail Server</legend>
		<label>SMTP Server</label>
		<p>
			<input name="enableSmtp" type="checkbox" class="check-box-input" />
			<span class="label">Enable Mail Server</span>
			<input name="smtpHost" type="text"/> Port <input name="smtpPort" type="text" size="4" />
			<input name="smtpSSL" type="checkbox" class="check-box-input" />
			<span class="label">Enable SSL</span>
		</p>
		<label class="mail-server"></label>
		<p class="mail-server">
			<input name="smtpAuthentication" type="checkbox" class="check-box-input" />
			<span class="label">Enable authentication:</span> username <input name="userName" type="text" size="16" /> password <input name="userPassword" type="text" size="16"/>
		</p>
		<label class="mail-sender"></label>
		<p class="mail-sender">
			<input name="smtpSender" type="checkbox" class="check-box-input" />
			<span class="label">Specify sender address:</span>
			<input name="sender" type="text" size="40" />
		</p>
		<label class="test-mail-server">Test SMTP Server</label>
		<p class="test-mail-server">
			Send test email to 
			<input name="email" type="text" size="40" />
			<input name="testSmtp" type="button" value="Send" class="button" />
		</p>
	</fieldset>
	<fieldset class="settings-fieldset" style="display:none">
		<legend>Remote Adoption (L3 Adoption)</legend>
		<label>Remote Adoption</label>
		<p>
			<input name="enableRemoteAdoption" type="checkbox" class="check-box-input" />
			<span class="label">Make discovered AP go to remote UniFi Controller</span>
		</p>
		<label></label>
		<p>Remote UniFi Controller URL: <input type="text" size="50" value="http://unifi:8080/inform" /></p>
	</fieldset>

	<input name="apply" type="button" value="Apply" class="button" />
</form>

