<ul class="bread-crumbs">
	<li><a href="javascript:void(0);" title="Settings">Settings</a></li>
	<li class="list"><a href="#" title="Wireless Networks">Wireless Networks</a></li>
	<li class="form" style="display:none"><a href="javascript:void(0);">WLAN</a></li>
</ul>

<form class="settings-form settings-list">
	<fieldset class="settings-fieldset">
		<legend>Wireless Configurations</legend>
		<div id="WlanConfTableContainer-none">
			<p>No wireless configurations</p>
		</div>
		<div id="WlanConfTableContainer">
		</div>
	</fieldset>
	<input type="button" name="create" value="Create" class="button" />
</form>

<form id="WirelessNetworksForm" class="settings-form" style="display:none">
	<fieldset class="settings-fieldset">
		<legend>Wireless Configurations</legend>

		<label>Name / SSID</label>
		<p>
			<input name="name" type="text" class="text-input" />
			<input name="enabled" type="checkbox" class="check-box-input" />
			<span class="label">Enabled</span>
		</p>

		<label>Security</label>
		<p>
			<input name="securityType" value="open" type="radio" class="radio-input" />
			<span class="label">Open</span>
			<input name="securityType" value="wep" type="radio" class="radio-input" />
			<span class="label">WEP</span>
			<input name="securityType" value="wpapsk" type="radio" class="radio-input" />
			<span class="label">WPA-Personal</span>
			<input name="securityType" value="wpaeap" type="radio" class="radio-input" id="wpaeap" />
			<span class="label">WPA-Enterprise</span>
		</p>

		<label class="security wpapsk">Security Key</label>
		<p class="security wpapsk">
			<input name="passphrase" type="text" class="text-input" />
		</p>

		<label class="security wep">WEP Key</label>
		<p class="security wep">
			<input name="wepKey" type="text" class="text-input" />
			Key Index
			<select name="wepIdx">
				<option value="1">1</option>
				<option value="2">2</option>
				<option value="3">3</option>
				<option value="4">4</option>
			</select>
		</p>
		
		<label class="security wpaeap">RADIUS Server</label>
		<p class="security wpaeap">
			IP Address: 
			<input name="radiusIp1" type="text" class="text-input" />
			Port:
			<input name="radiusPort1" type="text" class="text-input" value="1812" size="6" />
		</p>
		<label class="security wpaeap"></label>
		<p class="security wpaeap">
			Password: 
			<input name="radiusSecret1" type="text" class="text-input" />
		</p>

		<label class="isGuest">Guest Policy</label>
		<p class="isGuest">
			<input type="checkbox" name="is_guest" class="check-box-input" />
			<span class="label">Apply guest policies (captive portal, guest authentication, access restrictions)</span>
		</p>
	</fieldset>

	<fieldset class="settings-fieldset">
		<legend>Advanced</legend>

		<label>VLAN</label>
		<p>
			<input name="vlanEnabled" type="checkbox" class="check-box-input" />
			<span class="label">Use VLAN ID</span>
			<input name="vlan" type="text" class="text-input" size="5" /> (2-4095)
		</p>

		<label>Hide SSID</label>
		<p>
			<input name="hideSSID" type="checkbox" class="check-box-input" />
			<span class="label">Hide SSID</span>
		</p>
		
		<label class="WPA">WPA</label>
		<ol class="WPA">
			<li>
				WPA Mode
				<select name="wpaMode">
					<option value="auto">Both</option>
					<option value="wpa1">WPA1 Only</option>
					<option value="wpa2">WPA2 Only</option>
				</select>
			</li>
			<li>
				Encryption
				<select name="wpaEnc">
					<option value="auto">Auto</option>
					<option value="tkip">TKIP Only</option>
					<option value="ccmp">AES/CCMP Only</option>
				</select>
			</li>
		</ol>

		<label>User Group</label>
		<p>
			<select class="usergroups" id="usergroups" name="userGroup">
			</select>
		</p>
	</fieldset>

	<input name="id" type="hidden" />

	<input name="apply" class="button" type="button" value="Create" />

	<input name="cancel" class="button" type="button" value="Cancel" />
</form>


