<%@ page import="com.ubnt.data.Voucher" %>
<%@ page import="java.util.List" %>
<%@ page import="com.ubnt.service.ServiceLocator" %>
<%

List vouchers = (List) request.getAttribute("vouchers");
int cols = 4;

%><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en" dir="ltr">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<meta http-equiv="x-ua-compatible" content="IE=8" />
	<title>UniFi</title>
<style type="text/css">
body {font-size: 1.4em; font-family:sans-serif;}

table { width:100%; border-spacing:0; border-collapse:collapse; }
td {text-align:center; border: 1px dotted #000000; }
p.valid { text-decoration:underline; color: #666666; }
p.code { font-weight:bold; padding-bottom:5px; font-size:larger; }
</style>
</head>
<body onload="self.focus(); window.print()">
	<table>
		<tbody>
			<tr>
			<% for (int i=0; i<vouchers.size(); i++) {
				Voucher voucher = (Voucher) vouchers.get(i);
				String code = voucher.getString("code");
				code = code.substring(0, 5)+"-"+code.substring(5);
				
				int duration = voucher.getInt("duration");
				int days = duration / 1440;
				int hours = (duration % 1440) / 60;
				int minutes = duration % 60;
				String valid = (days > 0 ? days + " days" : "") + (hours > 0 ? hours + " hours" : "") + (minutes  > 0 ? minutes  + " minutes" : ""); 
				%>
				<% if (i>0 && (i%4)==0) { %></tr><tr><% } %>
				<td>
					<p class="valid">Valid for <%=valid%></p>
					<p class="code"><%=code%></p>
				</td>
			<% } %>
			</tr>
		</tbody>
	</table>
</body>
</html>
