<%@
	taglib prefix="fmt" uri="http://java.sun.com/jstl/fmt" %><%@
	page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %><%@
	page import="com.ubnt.service.system.SystemService"
%><%
	String here = request.getParameter("page");
	String version = SystemService.getVersion();
%><fmt:bundle basename="messages">
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<meta http-equiv="x-ua-compatible" content="IE=8" />
	<link rel="shortcut icon" href="media/global/favicon.ico" />

<% if (SystemService.getBuildType().equals("release")) { %>
	<link type="text/css" rel="stylesheet" media="all" href="/library/css/unifi.<%=version %>.css" />
	
	<script type="text/javascript" src="/library/js/unifi-lib.<%=version %>.js"></script>
	<script type="text/javascript" src="/library/js/unifi-msg_<fmt:message key="locale"/>.<%=version %>.js"></script>
	<script type="text/javascript">
	var currentLocale = '<fmt:message key="locale" />';
	</script>
	<script type="text/javascript" src="/library/js/unifi.<%=version %>.js"></script>
	<% if (here==null) { %>
	<% } else if ("manage".equals(here)) { %>
		<script type="text/javascript" src="/library/js/unifi-manage.<%=version %>.js"></script>
	<% } else if ("wizard".equals(here)) { %>
		<script type="text/javascript" src="/library/js/unifi-wizard.<%=version %>.js"></script>
	<% } else if ("hotspot".equals(here)) { %>
		<script type="text/javascript" src="/library/js/unifi-hotspot.<%=version %>.js"></script>
	<% } else if ("waiting".equals(here)) { %>
		<script type="text/javascript" src="/library/js/unifi-waiting.<%=version %>.js"></script>
	<% } %>
	
<% } else { %>
	<link type="text/css" rel="stylesheet" media="all" href="/library/css/reset-min.css" />
	<link type="text/css" rel="stylesheet" media="all" href="/library/css/reset.css" />
	<link type="text/css" rel="stylesheet" media="all" href="/library/css/global.css" />
	
	<script type="text/javascript" src="/library/js/jquery.min.js"></script>
	<script type="text/javascript" src="/library/js/jquery.json-2.2.min.js"></script>
	<script type="text/javascript" src="/library/js/jquery.cookie.js"></script>
	<script type="text/javascript" src="/library/js/jquery-ui.min.js"></script>
	
	<script type="text/javascript" src="/library/js/msg_<fmt:message key="locale"/>.js"></script>
	<script type="text/javascript">
	var currentLocale = '<fmt:message key="locale" />';
	</script>

	<script type="text/javascript" src="/library/js/console.js"></script>
	<% if (here==null) { %>
	<% } else if ("manage".equals(here)) { %>
		<script type="text/javascript" src="/library/js/swfobject.js"></script>
		<script type="text/javascript" src="/library/js/raphael-min.js"></script>
		<script type="text/javascript" src="/library/js/g.raphael-min.js"></script>
		<script type="text/javascript" src="/library/js/g.pie-min.js"></script>
		<script type="text/javascript" src="/library/js/raphael.path.methods.js"></script>
		
		<script type="text/javascript" src="/library/js/dialog.js"></script>
		<script type="text/javascript" src="/library/js/manage.js"></script>
	<% } else if ("wizard".equals(here)) { %>
		<script type="text/javascript" src="/library/js/wizard.js"></script>
	<% } else if ("hotspot".equals(here)) { %>
		<script type="text/javascript" src="/library/js/hotspot.js"></script>
	<% } %>
	
<% } %>
</fmt:bundle>