<div class="dialog-header">
  <a href="javascript:void(0);" class="dialog-hide-button"><span>hide</span></a>
  
  <h2 class="ap-name"></h2>
</div>
<div class="ap-status ui-corner-all">(Disconnected)</div>
<ul class="dialog-tabs">
  <li class="details-tab"><a href="#details-tab-content">Details</a></li>
  <li class="users-tab station-details"><a href="#users-tab-content">Users</a></li>
  <li class="guests-tab station-details"><a href="#guests-tab-content">Guests</a></li>
  <li class="config-tab ap-configs"><a href="#config-tab-content">Configuration</a></li>
</ul>

<div class="details-tab-content tab-content ui-corner-bottom ">
	<h3>Overview</h3>
  <div class="ap-overview-content">
    <dl>
      <dt class="mac-address">MAC Address</dt>
      <dd class="mac-address"></dd>
      <dt class="model">Model</dt>
      <dd class="model"></dd>
      <dt class="version">Version</dt>
      <dd class="version"></dd>
		</dl>
    <dl>
      <dt class="ip-address">IP Address</dt>
      <dd class="ip-address"></dd>
      <dt class="uptime">Uptime</dt>
      <dd class="uptime"></dd>
      <dt class="last-seen">Last Seen</dt>
      <dd class="last-seen"></dd>
		</dl>
    <dl class="station-details">
      <dt class="num-users"># Users</dt>
      <dd class="num-users"></dd>
      <dt class="num-guests"># Guests</dt>
      <dd class="num-guests"></dd>
    </dl>
  </div>
  <h3 class="ap-uplink-details ap-uplink-header">Uplink <span class="uplink-type"></span></h3>
  <div class="ap-uplink-details ap-uplink-content">
    <dl class="wireless">
      <dt class="uplink-ap">Uplink AP</dt>
      <dd class="uplink-ap"></dd>
      <dt class="uplink-rssi">Signal</dt>
      <dd class="uplink-rssi"></dd>
      <dt class="uplink-tx-rate">TX Rate</dt>
      <dd class="uplink-tx-rate"></dd>
      <dt class="uplink-rx-rate">RX Rate</dt>
      <dd class="uplink-rx-rate"></dd>
		</dl>
		<dl class="wire">
			<dt class="eth-speed">Speed</dt>
			<dd class="eth-speed"></dd>
			<dt class="eth-duplex">Duplex</dt>
			<dd class="eth-duplex"></dd>
		</dl>
		<dl>
      <dt class="uplink-received">Down Pkts / Bytes</dt>
      <dd class="uplink-received"></dd>
      <dt class="uplink-sent">Up Pkts / Bytes</dt>
      <dd class="uplink-sent"></dd>
      <dt class="uplink-bytes-rate">Activity</dt>
      <dd class="uplink-bytes-rate"></dd>
    </dl>
	</div>
	<h3 class="ap-adv-adopt">Advanced Adoption</h3>
	<div class="content ap-adv-adopt">
		<form action="/" class="ap-adv-adopt" name="ap-adv-adopt">
			<fieldset class="ui-corner-all">
				<label>IP</label>
				<p><input type="text" value="" name="ip" size="12" />:<input type="text" value="22" name="port" size="4" /></p>
				<label>Username</label>
				<p><input type="text" value="" name="username" /></p>
				<label>Password</label>
				<p><input type="password" value="" name="password" /></p>
				<label>Inform URL</label>
				<p><input type="text" value="" name="url" size="20" /></p>
			</fieldset>
			<input type="submit" value="adopt" class="button" name="apply" />
		</form>
	</div>
  <h3 class="ap-downlink-details ap-downlink-header">Downlinks</h3>
  <div class="ap-downlink-details ap-downlink-content content">
    <div class="downlink-data-table">
    </div>
  </div>
  <h3 class="ap-ng-details ap-ng-header">Radio (11n/b/g)</h3>
  <div class="ap-ng-details ap-ng-content">
    <dl>
      <dt class="ng-channel">Channel</dt>
      <dd class="ng-channel"></dd>
      <dt class="ng-tx-power">Transmit Power</dt>
      <dd class="ng-tx-power"></dd>
      <dt class="ng-tx">TX Pkts / Bytes</dt>
      <dd class="ng-tx"></dd>
      <dt class="ng-rx">RX Pkts / Bytes</dt>
      <dd class="ng-rx"></dd>
      <dt class="ng-tx-error">TX Retry / Dropped</dt>
      <dd class="ng-tx-error"></dd>
      <dt class="ng-rx-error">RX Error / Dropped</dt>
      <dd class="ng-rx-error"></dd>
    </dl>
    <dl>
      <dt class="ng-num-users"># Users</dt>
      <dd class="ng-num-users"></dd>
      <dt class="ng-num-guests"># Guests</dt>
      <dd class="ng-num-guests"></dd>
    </dl>
  </div>
  <h3 class="ap-na-details ap-na-header">Radio (11n/a)</h3>
  <div class="ap-na-details ap-na-content">
    <dl>
      <dt class="na-channel">Channel</dt>
      <dd class="na-channel"></dd>
      <dt class="na-tx-power">Transmit Power</dt>
      <dd class="na-tx-power"></dd>
      <dt class="na-tx">TX Pkts / Bytes</dt>
      <dd class="na-tx"></dd>
      <dt class="na-rx">RX Pkts / Bytes</dt>
      <dd class="na-rx"></dd>
      <dt class="na-tx-error">TX Retry / Dropped</dt>
      <dd class="na-tx-error"></dd>
      <dt class="na-rx-error">RX Error / Dropped</dt>
      <dd class="na-rx-error"></dd>
    </dl>
    <dl>
      <dt class="na-num-users"># Users</dt>
      <dd class="na-num-users"></dd>
      <dt class="na-num-guests"># Guests</dt>
      <dd class="na-num-guests"></dd>
    </dl>
  </div>
</div>

<div class="ui-corner-bottom users-tab-content tab-content">
	<div class="users-data-table">
	</div>
</div>

<div class="ui-corner-bottom guests-tab-content tab-content">
	<div class="guests-data-table">
	</div>
</div>

<div class="ui-corner-bottom config-tab-content tab-content ap-configs">
	<h3 class="ap-config">Config</h3>
	<div class="ap-config content">
		<p class="ui-corner-all settings-response">Settings Saved</p>
		<form action="/" id="tform">
			<fieldset class="ui-corner-all">
				<legend>General Settings</legend>
				<label>Alias</label>
				<p>
					<input type="text" name="alias" class="text" />
				</p>
			</fieldset>
			
			<fieldset class="ap-poe-configs">
				<legend>Power over Ethernet</legend>
				<label>Passthrough</label>
				<p>
					<select name="poe_passthrough">
						<option value="false">Off</option>
						<option value="true">On</option>
					</select>
				</p>
			</fieldset>
			<input name="apply" class="button" type="submit" value="apply" />
		</form>
	</div>
	
  <h3 class="ap-radio">Radios</h3>
  <div class="ap-radio ap-content">
		<p class="ui-corner-all settings-response">Settings Saved</p>
		<form action="/">
			<fieldset class="ap-ng-configs">
				<legend>Radio (11n/b/g)</legend>
				<label>Channel</label>
				<p>
					<select name="channel">
						<option value="0">Auto</option>
					</select>
					<select name="ht">
						<option value="20">HT20</option>
						<option value="40">HT40</option>
					</select>
				</p>

				<label class="tx-power-settings">Tx Power</label>
				<p class="tx-power-settings">
					<select name="tx-power-mode">
						<option value="auto">Auto</option>
						<option value="high">High</option>
						<option value="medium">Medium</option>
						<option value="low">Low</option>
						<option value="custom">Custom</option>
					</select>
					<span class="tx-power-custom">
					<input class="tx-power-custom" name="tx-power" type="text" size="2" /> dBm
					</span>
				</p>
				<div class="tx-power-custom"><label></label>
					<p class="max-txpower"></p>
				</div>
				<div class="antenna-gain">
				<label class="antenna-gain">Antenna Gain</label>
				<p><input class="antenna-gain" name="antenna-gain" type="text" size="2" /> dBi</p>
				</div>
				
				<label class="mode-settings">Compatibility</label>
				<p class="mode-settings">
					<select name="radio-mode">
						<option value="all">Auto</option>
						<option value="b_disabled">11n/g only</option>
						<option value="n_only">11n only</option>
						<option value="n_disabled">11g only</option>
					</select>
				</p>
			</fieldset>
			<fieldset class="ap-na-configs">
				<legend>Radio (11n/a)</legend>
				<label>Channel</label>
				<p>
					<select name="channel">
						<option>Auto</option>
					</select>
					<select name="ht">
						<option value="20">HT20</option>
						<option value="40">HT40</option>
						<option value="80">HT80</option>
					</select>
				</p>

				<label class="tx-power-settings">Tx Power</label>
				<p class="tx-power-settings">
					<select name="tx-power-mode">
						<option value="auto">Auto</option>
						<option value="high">High</option>
						<option value="medium">Medium</option>
						<option value="low">Low</option>
						<option value="custom">Custom</option>
					</select>
					<span class="tx-power-custom">
					<input class="tx-power-custom" name="tx-power" type="text" size="2" /> dBm
					</span>
				</p>
				<div class="tx-power-custom"><label></label>
					<p class="max-txpower"></p>
				</div>
				<div class="antenna-gain">
				<label class="antenna-gain">Antenna Gain</label>
				<p><input class="antenna-gain" name="antenna-gain" type="text" size="2" /> dBi</p>
				</div>
				
				<label class="mode-settings" style="display:none">Compatibility</label>
				<p class="mode-settings" style="display:none">
					<select name="radio-mode">
						<option value="all">Auto</option>
						<option value="n_only">11n only</option>
						<option value="n_disabled">11a only</option>
					</select>
				</p>
			</fieldset>
			<input name="apply" class="button" type="submit" value="apply" />
		</form>
	</div>
			
	<h3 class="ap-wlan">WLANs</h3>
	<div class="ap-wlan">
		<p class="ui-corner-all settings-response">Settings Saved</p>
		<form class="settings-list">
			<fieldset class="wlan-data-table ap-ng-configs">
				<legend>WLANs (11n/b/g)</legend>
				<div class="wlan-data-table-ng">
				</div>
			</fieldset>
			<fieldset class="wlan-data-table ap-na-configs">
				<legend>WLANs (11n/a)</legend>
				<div class="wlan-data-table-na">
				</div>
			</fieldset>
		</form>
		<form class="settings-form" style="display:none">
			<fieldset class="override-detail ui-corner-all">
				<legend>Override</legend>

				<label>Enabled</label>
				<p>
					<input name="wlanEnabled" type="checkbox" class="check-box-input" />
					<span class="label">Enabled on this AP</span>
				</p>
				
				<label>VLAN</label>
				<p>
					<input name="vlanEnabled" type="checkbox" class="check-box-input" />
					<span class="label">Use VLAN ID</span>
					<input name="vlan" type="text" class="text-input" size="5" />
				</p>

				<label>SSID</label>
				<p>
					<input name="name" type="text" class="text-input" />
				</p>
				
				<label class="wpapsk">PSK</label>
				<p class="wpapsk">
					<input name="passphrase" type="text" class="text-input" />
				</p>
				
			</fieldset>
			<input name="apply" class="button" type="button" value="Apply" />
			<input name="restore" class="button" type="button" value="Restore" />
			<input name="cancel" class="button" type="button" value="Cancel" />
		</form>
	</div>
	<h3 class="ap-network">Network</h3>
	<div class="ap-network">
		<p class="ui-corner-all settings-response">Settings Saved</p>
		<form action="" class="ap-network" name="ap-network">
			<fieldset class="ui-corner-all">
				<legend>Network Settings</legend>
				<label>Configure IP</label>
				<p>
					<select name="network_config">
						<option value="dhcp">Using DHCP</option>
						<option value="static">Static IP</option>
					</select>
				</p>
				<div class="ip-settings">
				<label>IP address</label>
				<p><input name="address" class="ip-setting" type="text" size="17"/></p>
				<label>Subnet mask</label>
				<p><input name="netmask" class="ip-setting" type="text" size="17"/></p>
				<label>Gateway</label>
				<p><input name="gateway" class="ip-setting" type="text" size="17"/></p>
				<label>Preferred DNS</label>
				<p><input name="dns1" class="ip-setting" type="text" size="17"/></p>
				<label>Alternate DNS</label>
				<p><input name="dns2" class="ip-setting" type="text" size="17"/></p>
				</div>
			</fieldset>
			<input name="apply" class="button ui-corner-all" type="submit" value="apply" />
		</form>
	</div>
	<h3 class="ap-uplinks-select">Wireless Uplinks</h3>
	<div class="ap-uplinks-select content">
		<fieldset class="ui-corner-all">
			<legend>Potential Uplinks</legend>
			<div class="uplinks-data-table-none">
				<p>No Wireless Uplinks available.</p>
			</div>
			<div class="uplinks-data-table"></div>
		</fieldset>
		<input name="uplink-scan" class="button ui-corner-all" type="button" value="find more" /> at 
		<select class="by-map"></select>
	</div>
	<h3>Forget this AP</h3>
	<div class="content">
		<p>
			If you no longer wish to manage this AP, you may remove it. Note that all configurations and history with respect to this access point will be wiped out.
		</p>
		<input name="remove" class="button ui-corner-all" type="button" value="forget" />
	</div>
	
</div>

<div class="dialog-controls">
  <a href="javascript:void(0);" class="locate-button button ui-corner-all">locate</a>
  <a href="javascript:void(0);" class="restart-button button ui-corner-all">restart</a>
  <a href="javascript:void(0);" class="adopt-button button ui-corner-all">adopt</a>
  <a href="javascript:void(0);" class="scan-button button ui-corner-all" style="display:none">scan</a>
</div>
