<ul class="bread-crumbs">
	<li><a href="javascript:void(0);" title="Settings">Settings</a></li>
	<li><a href="javascript:void(0);" title="System">Guest Control</a></li>
</ul>

<form id="GuestControlForm" class="settings-form">
	<fieldset class="settings-fieldset">
		<legend>Guest Policies</legend>
	
		<label>Guest Portal</label>
		<p>
      <input name="portalEnabled" value="enabled" type="checkbox" class="check-box-input" />
      <span class="label">Enable Guest Portal</span>
		</p>
		<label class="auth-type">Authentication</label>
		<p class="auth-type">
      <input name="guestAuthentication" value="none" type="radio" class="radio-input" />
      <span class="label">No authentication</span>
      <input name="guestAuthentication" value="password" type="radio" class="radio-input" />
      <span class="label">Simple Password</span>
			<input name="guestAuthentication" value="hotspot" type="radio" class="radio-input" />
			<span class="label">Hotspot</span>
			<input name="guestAuthentication" value="custom" type="radio" class="radio-input" />
			<span class="label">External Portal Server</span>
    </p>
	
		<label class="auth-password">Guest Password</label>
		<p class="auth-password">
			<input name="guestPassword" value="" type="text" class="text-input" /><br />
		</p>
		
		<label class="expire">Expiration</label>
		<p class="expire">
			<select name="expire">
				<option value="480">8 hours</option>
				<option value="1440">24 hours</option>
				<option value="2880">2 days</option>
				<option value="4320">3 days</option>
				<option value="5760">4 days</option>
				<option value="10080">7 days</option>
				<option value="custom">User-defined</option>
			</select>
			<span class="customExpire">
				<input name="expireNumber" value="" type="text" class="text-input" size="6" />
				<select name="expireUnit">
					<option value="1">minute</option>
					<option value="60">hour</option>
					<option value="1440">day</option>
				</select>
			</span>
		</p>
		
		<label class="redirect">Landing Page</label>
		<p class="redirect">
			<input type="radio" name="doRedirect" class="radio-input" value="false" />
			<span class="label">Redirect to the original URL</span>
		</p>
		<label class="redirect"></label>
		<p class="redirect">
			<input type="radio" name="doRedirect" class="radio-input" value="true" />
			<span class="label">Promotional URL</span>
			<input type="text" name="redirectUrl" size="40" class="text-input" />
		</p>
		
		<label class="custom-ip" style="display:none">Custom Portal</label>
		<p class="custom-ip" style="display:none">
			IP Address <input name="customIp" type="text" class="text-input" size="16" />
		</p>
		
		<label class="custom-portal">Portal Customization</label>
		<p class="custom-portal">
			<input type="checkbox" name="doCustomPortal" class="check-box-input" />
			<span class="label">Enable portal customization</span>
		</p>
		
		<label class="portal-hostname">Portal URL Hostname</label>
		<p class="portal-hostname">
			<input type="checkbox" name="portalUseHostname" class="check-box-input" value="true" />
			<span class="label">Redirect using hostname </span>
			<input type="text" name="portalHostname" size="25" class="text-input" />
		</p>

	</fieldset>

	<fieldset class="settings-fieldset hotspot">
		<legend>Hotspot</legend>
		<label class="voucher">Voucher</label>
		<p class="voucher">
			<input type="checkbox" name="doVoucher" class="check-box-input" />
			<span class="label">Enable voucher-based authorization</span>
		</p>
		<label class="payment">Payment</label>
		<p class="payment">
			<input type="checkbox" name="doPayment" class="check-box-input" />
			<span class="label">Enable payment-based authorization (PayPal Website Payment Pro required)</span>
		</p>
		<label class="paypal">PayPal</label>
		<p class="paypal">
			Username: <input type="text" name="paypalUsername" class="paypal" size="48" />
		</p>
		<label class="paypal"></label>
		<p class="paypal">
			Password: <input type="text" name="paypalPassword" class="paypal" size="48" />
		</p>
		<label class="paypal"></label>
		<p class="paypal">
			Signature: <input type="text" name="paypalSignature" class="paypal" size="48" />
		</p>
		<label class="paypal"></label>
		<p class="paypal">
			<input type="checkbox" name="doPaypalUseSandbox" class="check-box-input" />
			<span class="label">Use PayPal Sandbox</span> (<a href="http://developer.paypal.com/" target="_blank">Apply Sandbox Account</a>)
		</p>
		<label class="admin">Hotspot Operator</label>
		<p class="admin">
			<a href="/hotspot" target="_blank">Go to Hotspot Manager</a>
		</p>
		
	</fieldset>

  <fieldset class="settings-fieldset">
		<legend>Access Control</legend>
		<table class="layout">
			<tr><td style="vertical-align:top">
				<label>Restricted Subnets</label>
				<p class="restricted-subnets dual-col">
				</p>
			</td><td style="vertical-align:top">
				<label>Allowed Subnets</label>
				<p class="allowed-subnets dual-col">
				</p>
			</td></tr>
		</table>
	</fieldset>

  <input name="apply" type="button" value="Apply" class="button" />
</form>


