<%@
  taglib prefix="fmt" uri="http://java.sun.com/jstl/fmt" %><%@
  page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %><%@
  page import="com.ubnt.data.Admin"
%><%

Admin admin = (Admin) session.getAttribute("admin");

%><fmt:bundle basename="messages"><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en" dir="ltr">
	<head>
		<title><%=request.getServerName()%> - UniFi</title>
    <jsp:include page="head_include.jsp">
      <jsp:param name="page" value="manage" />
    </jsp:include>
	</head>
	<body>
	<div id="model-aps" style="display:none"></div>
	<div id="model-stas" style="display:none"></div>
	<div id="model-events" style="display:none"></div>
	<div id="model-maps" style="display:none"></div>
	<div id="model-apfilters" style="display:none"></div>
	<div id="model-usergroups" style="display:none"></div>
	<div id="model-wlanconfs" style="display:none"></div>
	<div id="model-maintabpagesizer" style="display:none"></div>
	<input type="text" id="ui-locate-blinker" style="display:none" />
	
	<jsp:include page="includes/dialogs/system-dialog.jsp" />
	<jsp:include page="includes/dialogs/gmap-dialog.jsp" />
	
<div id="PageContent">
<!-- Start: Header -->
<div id="PageHeader">
	<h1 id="Logo">UniFi</h1>

	<ul id="AdminControls">
		<li>Welcome <%=admin.getString("name", "admin")%></li>
		<li><a class="settings-button" href="javascript:void(0);">settings</a></li>
		<li><a href="/logout">logout</a></li>
	</ul>

	<div id="QuickInfoPanel">
		<!-- Start: Quick Info Panel -->
		<jsp:include page="includes/panels/quick-info-panel-content.jsp" />
		<!-- End: Quick Info Panel -->
	</div>

	<div id="RefreshControl">
		<form>
		<fieldset>
			<label><a href="javascript:void(0);" id="RefreshLink">Refresh</a></label>
			<select id="RefreshSelect">
				<option value="0">Manually</option>
				<option value="5">Every 5 seconds</option>
				<option value="15">Every 15 seconds</option>
				<option value="30">Every 30 seconds</option>
				<option value="60">Every minute</option>
				<option value="120">Every 2 minutes</option>
				<option value="300">Every 5 minutes</option>
			</select>
			</fieldset>
		</form>
	</div>
</div>
<!-- End: Header -->

<!-- Start: Body -->
<div id="MainPanel">
	<ul class="navigation-tabs">
		<li><a href="#Map">Map</a></li>
		<li><a href="#Statistics">Statistics</a></li>
		<li><a href="#AccessPoints" id="AccessPointsTab">Access Points</a></li>
		<li><a href="#Users" id="UsersTab">Users</a></li>
		<li><a href="#Guests" id="GuestsTab">Guests</a></li>
		<li class="all-users-tab"><a href="#AllUsers" id="AllUsersTab">All Clients</a></li>
	</ul>
	<div id="Map" class="tab-wrapper-fullscreen">
		<!-- Start: Map Tab -->
		<jsp:include page="includes/tabs/map-tab-content.jsp" />
		<!-- End: Map Tab -->
	</div>
	<div id="Statistics" class="tab-wrapper-scrollable">
		<div class="tab-content">
		<!-- Start: Statistics Tab -->
		<jsp:include page="includes/tabs/statistics-tab-content.jsp" />
		<!-- End: Statistics Tab -->
		</div>
	</div>
	<div id="AccessPoints" class="tab-wrapper-scrollable">
		<div class="tab-content">
		<!-- Start: Access Points Tab -->
		<jsp:include page="includes/tabs/access-points-tab-content.jsp" />
		<!-- End: Access Points Tab -->
		</div>
	</div>
	<div id="Users" class="tab-wrapper-scrollable">
		<div class="tab-content">
		<!-- Start: Users Tab -->
		<jsp:include page="includes/tabs/users-tab-content.jsp" />
		<!-- End: UsersTab -->
		</div>
	</div>
	<div id="Guests" class="tab-wrapper-scrollable">
		<div class="tab-content">
		<!-- Start: Guests Tab -->
		<jsp:include page="includes/tabs/guests-tab-content.jsp" />
		<!-- End: Guests Tab -->
		</div>
	</div>
	<div id="AllUsers" class="tab-wrapper-scrollable">
		<div class="tab-content">
		<!-- Start: All Users Tab -->
		<jsp:include page="includes/tabs/all-users-tab-content.jsp" />
		<!-- End:All Users Tab -->
		</div>
	</div>
</div>
<!-- End: Body -->

<!-- Start: Footer Panel -->
<div id="BottomPanel">
	<div id="AlertPopUp" class="alert-pop-up">
		<span class="ui-corner-all">4 items require your attention.</span>
	</div>

	<div id="BottomPanelTabs" class="bottom-panel-content ui-corner-top">
		<a id="BottomPanelHideButton" href="javascript:void(0);">hide</a>

		<ul id="BottomPanelNavigation" class="navigation-tabs">
			<li><a id="EventsTab" href="#RecentEvents">Recent Events <span class="count" style="display: none;">0</span></a></li>
			<li><a id="AlertsTab" href="#Alerts"><span>Alerts</span> <span class="count" style="display: none;">0</span></a></li>
			<li><a id="SettingsTab" href="#Settings">Settings</a></li>
			<li><a href="#Admin">Admin</a></li>
		</ul>

		<div style="clear:both"></div>

		<div id="BottomPanelTabContent">
			<div id="RecentEvents" class="tab-content ui-corner-tr">
				<!-- Start: Recent Events Tab -->
				<jsp:include page="includes/tabs/recent-events-tab-content.jsp" />
				<!-- End: Recent Events Tab -->
			</div>
			<div id="Alerts" class="tab-content ui-corner-tr">
				<!-- Start: Alerts Tab -->
				<jsp:include page="includes/tabs/alerts-tab-content.jsp" />
				<!-- End: Alerts Tab -->
			</div>
			<div id="Settings" class="tab-content ui-corner-tr">
				<!-- Start: Alerts Tab -->
				<jsp:include page="includes/tabs/settings-tab-content.jsp" />
				<!-- End: Alerts Tab -->
			</div>
			<div id="Admin" class="tab-content ui-corner-tr">
				<!-- Start: Admin Tab -->
				<jsp:include page="includes/tabs/admin-tab-content.jsp" />
				<!-- End: Admin Tab -->
			</div>
		</div>
	</div>
</div>
<!-- End: Footer Panel -->
</div>

<!-- Start: Access Point Dialog -->
<div class="ap-dialog floating-dialog ui-corner-all" style="display:none;">
	<div class="floating-dialog-content ui-corner-all">
	<jsp:include page="includes/dialogs/access-point-dialog-content.jsp" />
	</div>
</div>

<div class="sta-dialog floating-dialog ui-corner-all" style="display:none;">
	<div class="floating-dialog-content ui-corner-all">
	<jsp:include page="includes/dialogs/sta-dialog-content.jsp" />
	</div>
</div>

<!-- End: Access Point Dialog -->

	</body>
</html>
</fmt:bundle>